Package org.apache.commons.math3.util

# Interface Incrementor.MaxCountExceededCallback

Enclosing class:
  `Incrementor`

public static interface Incrementor.MaxCountExceededCallback
Defines a method to be called at counter exhaustion. The `trigger` method should usually throw an exception.

## Method Summary

Modifier and Type
Method
Description
`void`
`trigger(int maximalCount)`
Function called when the maximal count has been reached.

## Method Details

### trigger

void trigger(int maximalCount) throws MaxCountExceededException
Function called when the maximal count has been reached.

Parameters:
  `maximalCount` - Maximal count.
Throws:
  `MaxCountExceededException` - at counter exhaustion